MAN(1)

NOM
man - an interface to the system reference manuals

SYNOPSIS
man [man options] [[section] page ...] ...
man -k [apropos options] regexp ...
man -K [man options] [section] term ...
man -f [options de whatis] page ...
man -l [man options] file ...
man -w|-W [man options] page ...

DESCRIPTION
man is the system's manual pager. Each page argument given to man is normally the name of a program, utility or function. The manual page associated with each of these arguments is then found and displayed. A section, if provided, will direct man to look only in that section of the manual. The default action is to search in all of the available sections following a pre-defined order (see DEFAULTS), and to show only the first page found, even if page exists in several sections. Le tableau ci-dessous indique le numéro des sections de manuel ainsi que le type de pages qu'elles contiennent.
1 | Programmes exécutables ou commandes de l'interpréteur de commandes (shell)
2 | Appels système (fonctions fournies par le noyau)
3 | Appels de bibliothèque (fonctions fournies par les bibliothèques des programmes)
4 | Fichiers spéciaux (situés généralement dans /dev)
5 | File formats and conventions, e.g. /etc/passwd
6 | Jeux
7 | Divers (y compris les macropaquets et les conventions), par exemple man(7), groff(7)
8 | Commandes de gestion du système (généralement réservées au superutilisateur)
9 | Sous-programmes du noyau [hors standard]
Une page de manuel est constituée de plusieurs sections. Parmi les noms de section conventionnels se trouvent NOM, SYNOPSIS, CONFIGURATION, DESCRIPTION, OPTIONS, CODE DE RETOUR, VALEUR RENVOYÉE, ERREURS, ENVIRONNEMENT, FICHIERS, VERSIONS, CONFORMITÉ, NOTES, BOGUES, EXEMPLE, AUTEURS et VOIR AUSSI. Les conventions suivantes s'appliquent à la section SYNOPSIS et peuvent être utilisées comme un guide pour les autres sections.
texte gras | à taper exactement comme indiqué ;
texte italique | à remplacer par l'argument approprié ;
[-abc] | tous les arguments entre [ ] sont facultatifs ;
-a|-b | les options séparées par | ne peuvent pas être utilisées simultanément ;
argument ... | argument peut être répété ;
[expression] ... | toute l'expression située à l'intérieur de [ ] peut être répétée.
Le rendu exact dépend du dispositif d'affichage. Par exemple, man ne sera généralement pas capable d'afficher les italiques dans un terminal, et utilisera typiquement le soulignement ou la coloration du texte à la place. Le synopsis de la commande ou de la fonction est un modèle qui permet de représenter toutes les utilisations possibles. Dans certains cas, il est recommandé d'illustrer plusieurs utilisations exclusives comme dans la partie SYNOPSIS de cette page de manuel.

EXEMPLES

man ls
    Affiche la page de manuel de l'élément (du programme) ls.

man man.7
    Display the manual page for macro package man from section 7. (This is an alternative spelling of "man 7 man".)

man 'man(7)'
    Display the manual page for macro package man from section 7. (This is another alternative spelling of "man 7 man". It may be more convenient when copying and pasting cross-references to manual pages. Note that the parentheses must normally be quoted to protect them from the shell.)

man -a intro
    Affiche, successivement, toutes les pages de manuel disponibles nommées « intro ». Il est possible de s'arrêter après l'affichage de chaque page ou de sauter n'importe quelle page.

man -t bash | lpr -Pps
    Format the manual page for bash into the default troff or groff format and pipe it to the printer named ps. The default output for groff is usually PostScript. man --help should advise as to which processor is bound to the -t option.

man -l -Tdvi ./toto.1x.gz > ./toto.1x.dvi
    This command will decompress and format the nroff source manual page ./foo.1x.gz into a device independent (dvi) file. The redirection is necessary as the -T flag causes output to be directed to stdout with no pager. The output could be viewed with a program such as xdvi or further processed into PostScript using a program such as dvips.

man -k printf
    Recherche la description courte et le nom des pages de manuel comportant le mot-clé printf, utilisé comme une expression rationnelle, puis affiche tout ce qui a été trouvé. Cette commande est équivalente à apropos printf.

man -f smail
    Recherche les pages de manuel nommées smail et en affiche les descriptions courtes. Équivalent à whatis smail.

VUE D'ENSEMBLE
Beaucoup d'options sont disponibles avec man afin de donner autant de souplesse que possible à l'utilisateur. Des modifications peuvent être apportées au chemin de recherche, à l'ordre d'exploration des sections, au programme d'affichage ainsi qu'à d'autres éléments et comportements. Tout ceci est détaillé ci-après. If set, various environment variables are interrogated to determine the operation of man. It is possible to set the "catch-all" variable $MANOPT to any string in command line format, with the exception that any spaces used as part of an option's argument must be escaped (preceded by a backslash). man will parse $MANOPT prior to parsing its own command line. Those options requiring an argument will be overridden by the same options found on the command line. To reset all of the options set in $MANOPT, -D can be specified as the initial command line option. This will allow man to "forget" about the options specified in $MANOPT, although they must still have been valid. Manual pages are normally stored in nroff(1) format under a directory such as /usr/share/man. In some installations, there may also be preformatted cat pages to improve performance. See manpath(5) for details of where these files are stored. This package supports manual pages in multiple languages, controlled by your locale. If your system did not set this up for you automatically, then you may need to set $LC_MESSAGES, $LANG, or another system-dependent environment variable to indicate your preferred locale, usually specified in the POSIX format: <langue>[_<pays>[.<jeu_de_caractères>[,<version>]]] Si la page désirée est disponible dans votre « locale » (dans votre langue ou votre dialecte), elle sera affichée au lieu de la page standard, écrite le plus souvent dans le dialecte anglo-américain (en_US). If you find that the translations supplied with this package are not available in your native language and you would like to supply them, please contact the maintainer who will be coordinating such activity. Individual manual pages are normally written and maintained by the maintainers of the program, function, or other topic that they document, and are not included with this package. If you find that a manual page is missing or inadequate, please report that to the maintainers of the package in question. Pour obtenir des renseignements concernant d'autres fonctionnalités disponibles avec cet afficheur de manuel, lire les documents fournis avec le programme.

COMPORTEMENT PAR DÉFAUT
The order of sections to search may be overridden by the environment variable $MANSECT or by the SECTION directive in /etc/man_db.conf. By default it is as follows:
    1 1p 8 2 3 3p 4 5 6 7 9 0p tcl n l p o 1x 2x 3x 4x 5x 6x 7x 8x
The formatted manual page is displayed using a pager. This can be specified in a number of ways, or else will fall back to a default (see option -P for details). Les filtres sont déterminés de plusieurs façons. Tout d'abord, l'option -p ou la variable d'environnement $MANROFFSEQ sont vérifiées. Si -p n'est pas employée et que la variable d'environnement est vide, alors la première ligne du fichier nroff est analysée à la recherche d'une chaîne de caractères indiquant le préprocesseur à utiliser. Pour que l'indication du préprocesseur soit valide, la première ligne doit ressembler à : '\" <chaîne> dans laquelle chaîne peut être n'importe quelle combinaison de lettres, décrite par l'option -p ci-dessous. Si aucune des méthodes précédentes ne fournit d'indication sur le filtre à utiliser, une valeur par défaut est utilisée. Une chaîne de formatage est constituée et exécutée à partir des filtres et du format de départ (nroff ou [tg]roff avec l'option -t). Toutefois, si un programme exécutable mandb_nfmt (ou mandb_tfmt avec l'option -t) existe à la racine de l'arborescence des pages de manuel, c'est lui qui sera exécuté. Il recevra en argument le fichier source de la page de manuel, la chaîne de préprocesseur et, éventuellement, le périphérique indiqué par les arguments de -T ou -E.

OPTIONS
Non-argument options that are duplicated either on the command line, in $MANOPT, or both, are not harmful. For options that require an argument, each duplication will override the previous argument value.

  Options générales

-C fichier, --config-file=fichier
    Utilise le fichier de configuration indiqué au lieu du fichier ~/.manpath par défaut.

-d, --debug
    Affiche les informations de mise au point.

-D, --default
    Cette option est normalement utilisée en toute première option et réinitialise les comportements de man à leurs valeurs par défaut. Son utilisation réinitialise les options qui auraient pu être modifiées par les valeurs placées dans $MANOPT. Toutes les options qui suivent -D auront leur effet habituel.

--warnings[=avertissements]
    Active les avertissements de groff. C'est utilisable pour réaliser des vérifications sur le texte source des pages de manuel. avertissements est une liste de noms d'avertissement séparés par des virgules ; si rien n'est fourni, la valeur par défaut est « mac ». Voir le nœud « Warnings » d'info groff pour une liste de noms d'avertissement disponibles.

  Modes opératoires principaux

-f, --whatis
    Équivalent à whatis. Affiche, si elle est disponible, une courte description de la page de manuel. Consultez whatis(1) pour obtenir des précisions.

-k, --apropos
    Équivalent à apropos. Cherche la description courte des pages de manuel correspondant au mot-clé et affiche toutes celles qu'il trouve. Voir apropos(1) pour obtenir des précisions.

-K, --global-apropos
    Recherche le texte dans toutes les pages de manuel. Il s'agit d'une recherche par force brute qui peut prendre un peu de temps ; si possible, vous devriez indiquer une section pour réduire le nombre de pages à prendre en considération. Les termes de la recherche peuvent être de simples chaînes (par défaut) ou des expressions rationnelles si l'option --regex est utilisée.

    veuillez noter que la recherche est effectuée dans les sources des pages de manuel, pas dans les textes mis en forme, et que ceci pour générer des faux positifs en raison des commentaires contenus dans les sources. La recherche dans les textes mis en forme peut être plus lente.

-l, --local-file
    Activate "local" mode. Format and display local manual files instead of searching through the system's manual collection. Each manual page argument will be interpreted as an nroff source file in the correct format. No cat file is produced. If '-' is listed as one of the arguments, input will be taken from stdin. When this option is not used, and man fails to find the page required, before displaying the error message, it attempts to act as if this option was supplied, using the name as a filename and looking for an exact match.

-w, --where, --path, --location
    Don't actually display the manual page, but do print the location of the source nroff file that would be formatted. If the -a option is also used, then print the locations of all source files that match the search criteria.

-W, --where-cat, --location-cat
    Don't actually display the manual page, but do print the location of the preformatted cat file that would be displayed. If the -a option is also used, then print the locations of all preformatted cat files that match the search criteria.

    If -w and -W are both used, then print both source file and cat file separated by a space. If all of -w, -W, and -a are used, then do this for each possible match.

-c, --catman
    Cette option n'est pas d'un usage général et devrait seulement être utilisée par le programme catman.

-R encodage, --recode=encodage
    Plutôt que de formater la page de manuel comme d'habitude, affiche le code source converti en encodage indiqué. Si vous connaissez déjà l'encodage du fichier source, vous pouvez aussi utiliser directement manconv(1). Cependant, cette option permet de convertir plusieurs pages de manuel vers un unique encodage sans devoir explicitement déclarer l'encodage de chacune, à condition qu'elles soient déjà installées dans une structure similaire à la hiérarchie des pages de manuel.

    Consider using man-recode(1) instead for converting multiple manual pages, since it has an interface designed for bulk conversion and so can be much faster.

  Trouver des pages de manuel

-L locale, --locale=locale
    man détermine habituellement la locale (NdT : la langue ou le dialecte) actuelle par un appel à la fonction C setlocale(3) qui consulte diverses variables d'environnement, y compris $LC_MESSAGES et $LANG. Pour remplacer temporairement la valeur définie, utilisez cette option. Elle fournit directement à man la chaîne de caractères représentant la locale. Notez que cette valeur ne prendra effet qu'à partir de la recherche des pages. Par conséquent, les autres affichages, tels que les messages d'aide, seront toujours montrés dans la langue initialement déterminée.

-m système[,...], --systems=système[,...]
    Si le système a accès aux pages de manuel d'un autre système d'exploitation, celles-ci peuvent être consultées en utilisant cette option. Pour rechercher une page de manuel du système d'exploitation NouveauSE, employez l'option -m NouveauSE. Le système mentionné peut être une succession de noms de systèmes d'exploitation, séparés par des virgules. Pour que la recherche ait lieu également sur le système d'exploitation natif, il faut inclure le nom système man dans la chaîne fournie en argument (NdT : il semble que le système natif soit inclus dans la recherche, même en l'absence de cette valeur). Cette option remplace la variable d'environnement $SYSTEM.

-M liste_de_chemins, --manpath=liste_de_chemins
    Précise le chemin de recherche à utiliser. Par défaut, man se sert de manpath pour déterminer la liste des chemins d'accès aux structures hiérarchiques de pages de manuel. Cette option remplace la variable d'environnement $MANPATH et entraîne l'inefficience de l'option -m. Chaque chemin indiqué avec cette option doit être la racine d'une hiérarchie de pages de manuel, structurée en sections, comme décrit dans le manuel de man-db, sous le titre « The manual page system ». Pour consulter des pages de manuel situées en dehors de telles structures hiérarchiques, utilisez l'option -l.

-S list, -s list, --sections=list
    The given list is a colon- or comma-separated list of sections, used to determine which manual sections to search and in what order. This option overrides the $MANSECT environment variable. (The -s spelling is for compatibility with System V.)

-e sous-extension, --extension=sous-extension
    Some systems incorporate large packages of manual pages, such as those that accompany the Tcl package, into the main manual page hierarchy. To get around the problem of having two manual pages with the same name such as exit(3), the Tcl pages were usually all assigned to section l. As this is unfortunate, it is now possible to put the pages in the correct section, and to assign a specific "extension" to them, in this case, exit(3tcl). Under normal operation, man will display exit(3) in preference to exit(3tcl). To negotiate this situation and to avoid having to know which section the page you require resides in, it is now possible to give man a sub-extension string indicating which package the page must belong to. Using the above example, supplying the option -e tcl to man will restrict the search to pages having an extension of *tcl.

-i, --ignore-case
    Ignore la casse lors de la recherche de la page de manuel. C'est le comportement par défaut.

-I, --match-case
    Cherche la page de manuel en tenant compte de la casse.

--regex
    Montre toutes les pages ayant une partie de leur nom ou description qui correspond à chaque argument page en tant qu'expression rationnelle, comme avec apropos(1). Puisqu'il n'existe pas de façon raisonnable de choisir une « meilleure » page lors d'une recherche d'expression rationnelle, cette option induit -a.

--wildcard
    Montre toutes les pages ayant une partie de leur nom ou description qui correspond à chaque argument page en utilisant des jokers (wildcards), comme avec apropos(1) --wildcard. L'argument page doit correspondre à la totalité du nom ou de la description, ou aux frontières de mot de la description. Puisqu'il n'existe pas de façon raisonnable de choisir une « meilleure » page lors d'une recherche de joker, cette option induit -a.

--names-only
    Si une des options --regex ou --wildcard est utilisée, correspond seulement aux noms de pages, pas aux descriptions, comme avec whatis(1), sans effet sinon.

-a, --all
    Par défaut, man s'arrêtera après avoir affiché la page de manuel la plus appropriée trouvée. L'emploi de cette option force man à afficher toutes les pages de manuel dont les noms satisfont les critères de recherche.

-u, --update
    This option causes man to update its database caches of installed manual pages. This is only needed in rare situations, and it is normally better to run mandb(8) instead.

--no-subpages
    Par défaut, man essaiera d'interpréter une paire de noms de page de manuel donnés sur la ligne de commande comme s'il s'agissait d'un seul nom de page de manuel contenant un tiret ou un tiret bas. Cela prend en charge le motif habituel des programmes avec plusieurs sous-commandes, leur permettant de fournir une page de manuel pour chacune accessible avec une syntaxe similaire à celle utilisée pour appeler les sous-commandes. Par exemple :
      $ man -aw git diff
      /usr/share/man/man1/git-diff.1.gz
    Pour désactiver ce comportement, utilisez l'option --no-subpages :
      $ man -aw --no-subpages git diff
      /usr/share/man/man1/git.1.gz
      /usr/share/man/man3/Git.3pm.gz
      /usr/share/man/man1/diff.1.gz

  Contrôle du format d'affichage

-P afficheur, --pager=afficheur
    Specify which output pager to use. By default, man uses less, falling back to cat if less is not found or is not executable. This option overrides the $MANPAGER environment variable, which in turn overrides the $PAGER environment variable. It is not used in conjunction with -f or -k. La valeur peut être juste un nom de commande ou une commande avec des arguments, et peut utiliser les protections de l'interpréteur (contre-obliques, guillemets simples ou doubles). L'utilisation de tubes pour relier plusieurs commandes n'est pas possible ; si vous en avez vraiment besoin, utilisez un script enveloppe qui pourra prendre en argument le fichier à afficher ou l'entrée standard.

-r invite, --prompt=invite
    Si une version récente de less est utilisée comme afficheur, man tentera de régler l'invite ainsi que d'autres options. L'invite par défaut ressemble à : Manual Page nom(section) line x dans laquelle nom représente le nom de la page de manuel, section le numéro de section où la page a été trouvée et x le numéro de la ligne actuelle. C'est réalisé en utilisant la variable d'environnement $LESS. Supplying -r with a string will override this default. The string may contain the text $MAN_PN which will be expanded to the name of the current manual page and its section name surrounded by "(" and ")". The string used to produce the default could be expressed as \ Manual\ page\ \$MAN_PN\ ?ltline\ %lt?L/%L.:
    byte\ %bB?s/%s..?\ (END):?pB\ %pB\\%..
    (tapez h pour l'aide ou q pour quitter) Cette chaîne a été coupée en trois lignes, ici, uniquement pour des raisons de lisibilité. Pour sa signification, consultez la page de manuel de less(1). La chaîne de caractères est d'abord évaluée par l'interpréteur de commandes. Tous les guillemets, apostrophes inversées et contre-obliques (antislash) devant apparaître dans l'invite doivent être précédés du caractère de protection « \ ». La chaîne de caractères de l'invite peut se terminer par un « $ » protégé qui peut être suivi d'autres options de less. Par défaut, man utilise l'option -ix8. La variable d'environnement $MANLESS décrite ci-dessous peut être utilisée pour définir une chaîne d’invite par défaut si aucune n’est fournie sur la ligne de commande.

-7, --ascii
    En visualisant une page de manuel en ascii(7) pur, sur un terminal 7 bits ou sur un émulateur de terminal, certains caractères peuvent ne pas être affichés correctement lors de l'utilisation d'un descripteur de périphérique latin1(7) avec GNU nroff. Cette option permet aux pages de manuel en ascii pur d'être affichées en ascii sur des périphériques latin1. Il n'y aura pas de traduction du texte en latin1. La table ci-dessous montre les traductions effectuées. Certains éléments de cette table ne peuvent être affichés correctement qu'en utilisant un périphérique latin1 conforme à GNU nroff.
    Description | Octal | latin1 | ascii
    trait d'union | 255 |  | -
    point médian | 267 | • | o
    accent aigu | 264 | ´ | '
    symbole de multiplication | 327 | × | x
    Si la colonne latin1 est affichée correctement, votre terminal peut être exploité avec les caractères latin1 et cette option est inutile. Si les colonnes latin1 et ascii sont identiques, soit vous avez utilisé cette option, soit man n'a pas formaté cette page en utilisant le descripteur de périphérique latin1. Si la colonne latin1 est absente ou altérée, vous devriez utilisez cette option. Cette option est ignorée lors de l'usage des options -t, -H, -T, ou -Z et peut être omise pour les nroff autres que ceux du GNU.

-E encodage, --encoding=encodage
    Produit une sortie avec un encodage de caractères autre que celui par défaut. Pour des raisons de compatibilité ascendante, encodage peut être un périphérique nroff tel que ascii, latin1, ou utf8 ainsi qu'une réelle valeur d'encodage comme UTF-8.

--no-hyphenation, --nh
    Normalement, nroff place un trait d'union lorsque les lignes sont coupées même si les mots n'en contiennent pas, s'il est nécessaire de le faire pour arranger les mots sur une ligne sans espacements excessifs. Cette option désactive la césure automatique, et les mots ne seront coupés que s'il contiennent déjà un trait d'union. Pour éviter à nroff de couper un mot au mauvais endroit quand vous écrivez une page de manuel, n'utilisez pas cette option, mais consultez plutôt la documentation de nroff. Par exemple, vous pouvez placer « \% » dans un mot pour indiquer qu'il peut être coupé à cet endroit, ou « \% » au début d'un mot pour l'empêcher d'être coupé.

--no-justification, --nj
    Normalement, nroff justifie automatiquement le texte. Cette option désactive la justification, laissant le texte aligné (ou « ferré ») à droite, aussi appelé « drapeau gauche ». Pour éviter à nroff de justifier certains paragraphes quand vous écrivez une page de manuel, n'utilisez pas cette option, mais consultez plutôt la documentation de nroff. Par exemple, vous pouvez utiliser les requêtes « .na », « .nf », « .fi » et « .ad » pour désactiver temporairement le réglage et le remplissage.

-p chaîne, --preprocessor=chaîne
    Indique la liste des préprocesseurs à utiliser avant nroff, troff ou groff. Toutes les implémentations ne disposent pas du jeu complet de préprocesseurs. Voici une liste de certains préprocesseurs, avec les lettres les désignant : eqn (e), grap (g), pic (p), tbl (t), vgrind (v), refer (r). Cette option remplace la variable d'environnement $MANROFFSEQ. zsoelim est toujours exécuté comme le tout premier préprocesseur.

-t, --troff
    Utilise groff -mandoc pour mettre en forme la page de manuel sur la sortie standard. Cette option n'est pas nécessaire avec -H, -T, ou -Z.

-T[périphérique], --troff-device[=périphérique]
    Cette option est utilisée pour modifier ce qui est produit par groff (ou éventuellement par troff) afin d'être exploitable par un périphérique autre que le périphérique par défaut. Cette option implique l'option -t. Exemples de périphériques (fournis avec Groff-1.17) : dvi, latin1, ps, utf8, X75 et X100.

-H[navigateur], --html[=navigateur]
    Cette option fera produire à groff une page au format HTML qui sera ensuite affichée dans un navigateur web. Le choix du navigateur est déterminé soit par l'argument optionnel navigateur, s'il est indiqué, soit par la variable d'environnement $BROWSER ou sinon par la valeur par défaut indiquée lors de la compilation (habituellement lynx). Cette option induit -t et ne fonctionne qu'avec les troff GNU.

-X[ppp], --gxditview[=ppp]
    Cette option affiche la sortie de groff dans une fenêtre graphique en utilisant le programme gxditview. Le ppp (points par pouce) peut être 75 (par défaut), 75-12, 100 ou 100-12. La variante « -12 » utilise une fonte de 12 points. Cette option induit -T avec comme périphérique respectif X75, X75-12, X100 ou X100-12.

-Z, --ditroff
    groff exécutera troff puis utilisera le postprocesseur approprié afin de produire une sortie exploitable par le périphérique choisi. Si groff -mandoc est groff alors cette option sera passée à groff et aucun postprocesseur ne sera exécuté. Cette option induit -t.

  Obtenir de l'aide

-?, --help
    Affiche un message d'aide et s'arrête.

--usage
    Affiche un court mode d'emploi et s'arrête.

-V, --version
    Affiche le numéro de version.

CODE DE RETOUR

0   Programme exécuté sans erreur.

1   Erreur d'utilisation, de syntaxe ou de fichier de configuration.

2   Erreur d'exécution.

3   Un processus fils a produit une valeur de retour non nulle.

16  Au moins une des pages ou un des fichiers ou un des mots-clés n'existe pas ou n'a pas été trouvé.

ENVIRONNEMENT

MANPATH
    Si $MANPATH est définie, sa valeur est exploitée comme le chemin de recherche des pages de manuel.

MANROFFOPT
    Every time man invokes the formatter (nroff, troff, or groff), it adds the contents of $MANROFFOPT to the formatter's command line.

MANROFFSEQ
    Si $MANROFFSEQ est définie, sa valeur est exploitée pour déterminer l'ensemble des préprocesseurs à appliquer à chacune des pages de manuel. La liste des préprocesseurs est dépendante du système utilisé.

MANSECT
    Si $MANSECT est définie, sa valeur est une liste de sections, séparées par des deux-points. Cette liste est utilisée pour déterminer les sections de manuel, et l’ordre, utilisés pour la recherche. C’est « 1 1p 8 2 3 3p 4 5 6 7 9 0p tcl n l p o 1x 2x 3x 4x 5x 6x 7x 8x » par défaut, à moins d’être écrasée par la directive SECTION dans /etc/man_db.conf.

MANPAGER, PAGER
    If $MANPAGER or $PAGER is set ($MANPAGER is used in preference), its value is used as the name of the program used to display the manual page. By default, less is used, falling back to cat if less is not found or is not executable. La valeur peut être juste un nom de commande ou une commande avec des arguments, et peut utiliser les protections de l'interpréteur (contre-obliques, guillemets simples ou doubles). L'utilisation de tubes pour relier plusieurs commandes n'est pas possible ; si vous en avez vraiment besoin, utilisez un script enveloppe qui pourra prendre en argument le fichier à afficher ou l'entrée standard.

MANLESS
    Si $MANLESS est définie, sa valeur sera utilisée comme chaîne d’invite par défaut de l'afficheur less, comme si elle avait été passée en utilisant l’option -r (donc toutes les occurrences du texte $MAN_PN seront développées de la même façon). Par exemple, si vous voulez obtenir dans tous les cas la chaîne d'invite « Ma chaîne d'invite » donnez à $MANLESS la valeur « -PsMa chaîne d'invite ». L’utilisation de l’option -r écrasera cette variable d’environnement.

BROWSER
    Si $BROWSER est définie, sa valeur est une liste de commandes séparées par des deux-points. Chaque élément de la liste est utilisé pour essayer de lancer un navigateur web lors de l'utilisation de man --html. Dans chaque commande, %s est remplacé par un nom de fichier contenant la page de manuel au format HTML produite à partir de groff, %% est remplacé par un simple signe « % » et %c est remplacé par « : ».

SYSTEM
    Si $SYSTEM est définie, l'effet sera le même que si on l'avait indiquée comme argument de l'option -m.

MANOPT
    Si $MANOPT est définie, elle sera analysée préalablement à la ligne de commande de man et son contenu doit avoir un format similaire. Étant donné que les actions produites par l'ensemble des autres variables d'environnement spécifiques à man peuvent être obtenues grâce aux options de la ligne de commande et qu'elles peuvent, de ce fait, être placées dans $MANOPT, il est prévu que ces variables d'environnement tombent en désuétude. N'oubliez pas que toutes les espaces qui devront être interprétées comme éléments de l'argument d'une option doivent être protégées.

MANWIDTH
    If $MANWIDTH is set, its value is used as the line length for which manual pages should be formatted. If it is not set, manual pages will be formatted with a line length appropriate to the current terminal (using the value of $COLUMNS, and ioctl(2) if available, or falling back to 80 characters if neither is available). Cat pages will only be saved when the default formatting can be used, that is when the terminal line length is between 66 and 80 characters.

MAN_KEEP_FORMATTING
    Normalement, quand la sortie n'est pas envoyée directement vers un terminal (comme vers un fichier ou un tube), les caractères de mise en page sont effacés pour faciliter la lecture du résultat sans outil spécial. Cependant, si $MAN_KEEP_FORMATTING contient une valeur non nulle, les caractères de mise en page sont gardés. Ce peut être utile pour les scripts enveloppes autour de man capable d'interpréter ces caractères de mise en page.

MAN_KEEP_STDERR
    Normalement, quand la sortie est envoyée directement vers un terminal (habituellement vers un afficheur), toute sortie d'erreur de la commande utilisée pour produire les versions formatées des pages de manuel est ignorée pour éviter d'interférer avec l'affichage de la page. Des programmes comme groff produisent souvent des messages d'erreur relativement mineurs à propos de problèmes typographiques comme de mauvais alignements. L'affichage de la page de manuel s'en trouve enlaidi et déroutant. Cependant, certains utilisateurs veulent tout de même voir ces erreurs, donc si $MAN_KEEP_FORMATTING contient une valeur non nulle, la sortie d'erreur sera affichée comme d'habitude.

LANG, LC_MESSAGES
    Suivant le système et l'implémentation, soit $LANG, soit $LC_MESSAGES, soit les deux, seront interrogées pour déterminer la langue ou le dialecte utilisé. man affichera ses messages dans cette langue ou ce dialecte (s'ils sont disponibles). Consultez setlocale(3) pour plus de précisions.

FICHIERS

/etc/man_db.conf
    Fichier de configuration de man-db.

/usr/share/man
    Structure hiérarchique de pages de manuel globale

VOIR AUSSI
apropos(1), groff(1), less(1), manpath(1), nroff(1), troff(1), whatis(1), zsoelim(1), manpath(5), man(7), catman(8), mandb(8)

Documentation for some packages may be available in other formats, such as info(1) or HTML.

HISTORIQUE
1990, 1991 – Première version écrite par John W. Eaton (jwe@che.utexas.edu). 23 Décembre 1992 : Rik Faith (faith@cs.unc.edu) a appliqué les correctifs fournis par Willem Kasdorp (wkasdo@nikhefk.nikef.nl). 30th April 1994 – 23rd February 2000: Wilf. (G.Wilford@ee.surrey.ac.uk) has been developing and maintaining this package with the help of a few dedicated people. 30 octobre 1996 – 30 mars 2001 : Fabrizio Polacco <fpolacco@debian.org> a assuré la maintenance et développé ce programme pour le projet Debian avec l'aide de toute la communauté. Depuis le 31 mars 2001 : Colin Watson <cjwatson@debian.org> est désormais le responsable et le développeur de man-db.

TRADUCTION
Cette traduction est maintenue à l'aide de l'outil po4a <URL:https://po4a.org/> par l'équipe francophone de traduction de Debian.

Valéry Perrin <valery.perrin.debian@free.fr> le 2 janvier 2006. David Prévot <david@tilapin.org> et l'équipe francophone de traduction de Debian (2010).

Veuillez signaler toute erreur de traduction en écrivant à <debian-l10n-french@lists.debian.org> ou par un rapport de bogue sur le paquet man-db.

Vous pouvez toujours avoir accès à la version anglaise de ce document en utilisant la commande « man -L C <section> <page_de_man> ».